My Mobile device says that the Sqord app is not compatible.

Occasionally when trying to install the Sqord mobile app, a message will come up saying that the app is not compatible with that device.

The most likely reason is that the device in question does not support Bluetooth Low Energy, or BLE, which is the method that the Sqord app uses to communicate with the Booster.

BLE is a very common communication method, and while it is found in almost all new devices, it is not present in all older versions of devices that are still commonly-used.

More information on BLE and the devices that support it can be found here.

Still need help? Contact Us Contact Us